#include <string>
#include <iostream>

int main(void)
{
  std::string chaine = "Bonjour";

  // Affichage de la chaine
  std::cout << chaine << std::endl;


  // Conversion de std::string en char*
  std::cout << chaine.data() << std::endl;
  
  // La longeur de la chaine (length et size sont synonymes)
  std::cout << "\"" << chaine << "\" a pour longeur " << chaine.size() << std::endl; 
  std::cout << "\"" << chaine << "\" a pour longeur " << chaine.length() << std::endl; 


  // Acces aux caracteres
  for (int i=0; i<chaine.size(); i++)
	std::cout << chaine[i] << std::endl;

    
  // Concatenation de chaines avec l'operateur +
  std::cout << chaine + chaine + chaine << std::endl;


  // Ajout de caracteres en fin de chaine avec +=
  chaine += ", toi";
  std::cout << chaine << std::endl;
  std::cout << chaine.size() << std::endl;

  
  // Affectation d'une nouvelle valeur
  chaine = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  std::cout << chaine << std::endl;
  std::cout << chaine.size() << std::endl;

  
  // Premier et dernier elements de la chaine (en C++11)
  std::cout << chaine.front() << std::endl;
  std::cout << chaine.back() << std::endl;


  // Parcours de la chaine avec un iterateur
  for (std::string::iterator it = chaine.begin(); it != chaine.end(); it++)
	std:: cout << *it;
  std::cout << std::endl;
  

  // Parcours de la chaine en sens inverse avec un iterateur
  for (std::string::reverse_iterator it = chaine.rbegin(); it != chaine.rend(); it++)
	std:: cout << *it;
  std::cout << std::endl;
  
  
  chaine.pop_back(); // Enleve le dernier caractere (en C++11)
  std::cout << chaine << std::endl;


  chaine.clear(); // Efface la chaine
  std::cout << chaine << std::endl;
}
